package com.iformall.service;

import java.util.*;
import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxTags;
import com.iformall.domain.vo.WxTagsGroupVo;

public interface WxTagsService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxTags> listAsPage(WxTags record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxTags getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxTags record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    List<WxTags> findList(WxTags wxTags);

    List<WxTagsGroupVo> listAllVo();

}
